unit UDlgOpPrmSDCatAssocLambda;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDCatAssocLambda = class(TDlgBaseOperatorParameter)
    chkSort: TCheckBox;
    rgSort: TRadioGroup;
    procedure chkSortClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;       
  end;

var
  dlgOpPrmSDCatAssocLambda: TdlgOpPrmSDCatAssocLambda;

implementation

uses UCompSDCatAssocLambda;

{$R *.dfm}

procedure TdlgOpPrmSDCatAssocLambda.ApplyModifications;
begin
 (OpPrm as TOpPrmSDCatLambda).SortResult:= chkSort.Checked;
 (OpPrm as TOpPrmSDCatLambda).SortCriteria:= rgSort.ItemIndex;
end;

procedure TdlgOpPrmSDCatAssocLambda.chkSortClick(Sender: TObject);
begin
 if chkSort.Checked
  then rgSort.Enabled:= TRUE
  else rgSort.Enabled:= FALSE;
end;

procedure TdlgOpPrmSDCatAssocLambda.SetParameters;
begin
 chkSort.Checked:= (OpPrm as TOpPrmSDCatLambda).SortResult;
 rgSort.ItemIndex:= (OpPrm as TOpPrmSDCatLambda).SortCriteria;
end;

end.
