unit UDlgOpPrmPlsFactorial;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, JFGDlgOpPrmPLS, StdCtrls, lmdstdcA, ComCtrls, ExtCtrls;

type
  TDlgOpPrmPLSFactorial = class(TDlgOpPrmPLS)
    gbShowNotDetailed: TGroupBox;
    chkRedundancy: TCheckBox;
    chkCoef: TCheckBox;
    chkVip: TCheckBox;
    procedure chkDetailedClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;  
  end;

var
  DlgOpPrmPLSFactorial: TDlgOpPrmPLSFactorial;

implementation

uses UCompPLSFactorial;

{$R *.dfm}

{ TDlgOpPrmPLS1 }

procedure TDlgOpPrmPLSFactorial.ApplyModifications;
begin
 inherited;
 (self.OpPrm as TOpPrmPLSFact).ShowRedundancy:= self.chkRedundancy.Checked;
 (self.OpPrm as TOpPrmPLSFact).ShowCoefAxis:= self.chkCoef.Checked;
 (self.OpPrm as TOpPrmPLSFact).ShowVIP:= self.chkVip.Checked;
end;

procedure TDlgOpPrmPLSFactorial.SetParameters;
begin
 inherited;
 self.chkRedundancy.Checked:= (self.OpPrm as TOpPrmPLSFact).ShowRedundancy;
 self.chkCoef.Checked:= (self.OpPrm as TOpPrmPLSFact).ShowCoefAxis;
 self.chkVip.Checked:= (self.OpPrm as TOpPrmPLSFact).ShowVIP;
 self.chkDetailedClick(nil);
end;

procedure TDlgOpPrmPLSFactorial.chkDetailedClick(Sender: TObject);
begin
 if self.chkDetailed.Checked
  then
   begin
   self.gbShowNotDetailed.Enabled:= false;
   self.chkRedundancy.Checked:= false;
   self.chkCoef.Checked:= false;
   self.chkVip.Checked:= false;
   end
  else self.gbShowNotDetailed.Enabled:= true;
end;

end.
