unit UDlgOpPrmPlsSelection;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmPLSSelection = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinFolds: TLMDSpinEdit;
    rgRnd: TRadioGroup;
    chkUpdate: TCheckBox;
    TabSheet1: TTabSheet;
    Label2: TLabel;
    edQ2CutValue: TEdit;
    rgStop: TRadioGroup;
    Label3: TLabel;
    spinPressCut: TLMDSpinEdit;
    Label4: TLabel;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;
  end;

var
  DlgOpPrmPLSSelection: TDlgOpPrmPLSSelection;

implementation

uses UCompPLSSelection, UCalcRndGenerator;

{$R *.dfm}

{ TDlgOpPrmPLSSelection }

procedure TDlgOpPrmPLSSelection.ApplyModifications;
begin
 TRY
 (self.OpPrm as TOpPrmClusPLSSelection).Q2CutValue:= strtofloat(self.edQ2CutValue.Text);
 (self.OpPrm as TOpPrmClusPLSSelection).NbFolds:= self.spinFolds.Value;
 (self.OpPrm as TOpPrmClusPLSSelection).InitRnd:= TStartSeed(self.rgRnd.ItemIndex);
 (self.OpPrm as TOpPrmClusPLSSelection).UpdatePluggedPLS:= self.chkUpdate.Checked;
 (self.OpPrm as TOpPrmClusPLSSelection).Stopping:= self.rgStop.ItemIndex;
 (self.OpPrm as TOpPrmClusPLSSelection).PRESSCutValue:= self.spinPressCut.Value;
 EXCEPT
 END;
end;

procedure TDlgOpPrmPLSSelection.SetParameters;
begin
 self.edQ2CutValue.Text:= floattostr((self.OpPrm as TOpPrmClusPLSSelection).Q2CutValue);
 self.spinFolds.Value:= (self.OpPrm as TOpPrmClusPLSSelection).NbFolds;
 self.rgRnd.ItemIndex:= ord((self.OpPrm as TOpPrmClusPLSSelection).InitRnd);
 self.chkUpdate.Checked:= (self.OpPrm as TOpPrmClusPLSSelection).UpdatePluggedPLS;
 self.rgStop.ItemIndex:= (self.OpPrm as TOpPrmClusPLSSelection).Stopping;
 self.spinPressCut.Value:= (self.OpPrm as TOpPrmClusPLSSelection).PRESSCutValue;
end;

end.
