unit UFrmSpvScoringLift;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UFrmBaseOperator, Menus, ActnList, ComCtrls, ExtCtrls, TeEngine,
  Series, TeeProcs, Chart;

type
  TFrmOpViewSpvScoringLift = class(TFrmBaseOperator)
    tabChart: TTabSheet;
    chart: TChart;
    procedure actCopyExecute(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   PrepareView(); override;
  end;

var
  FrmOpViewSpvScoringLift: TFrmOpViewSpvScoringLift;

implementation

uses UCompSpvScoringLift, UDatasetDefinition, UDatasetImplementation;

CONST
    CHART_LINE_WIDTH = 2;

{$R *.dfm}

{ TFrmOpViewSpvScoringLift }

procedure TFrmOpViewSpvScoringLift.PrepareView;
var op: TOpSpvScoringLIFT;
    plot: TLineSeries;
    j,i: integer;
    att: TAttribute;
    x,y: double;

    procedure createNewPlot(titre: string);
    begin
     plot:= TLineSeries.Create(chart);
     plot.Title:= titre;
     plot.LinePen.Width:= CHART_LINE_WIDTH;
     chart.AddSeries(plot);
    end;

begin
 inherited;
 //rcuprer l'oprateur
 op:= Operator as TOpSpvScoringLIFT;
 //page  afficher en priorit
 self.pgctrlFond.ActivePage:= tabCHART;
 //construire la diagonale
 createNewPlot('Random');
 plot.AddXY(0,0,'',clRed);
 plot.AddXY(1,1,'',clRed);
 //charger les sries de points
 for j:= 0 to pred(op.WorkData.LstAtts[asInput].Count) do
  begin
   att:= op.WorkData.LstAtts[asInput].Attribute[j];
   createNewPlot(att.Name);
   for i:= 0 to SCORING_NB_STEPS_TARGET_SIZE do
    begin
     x:= (1.0 * i)/(1.0 * SCORING_NB_STEPS_TARGET_SIZE);
     y:= op.TabTVP[i,j];
     plot.AddXY(x,y,'',clTeeColor);
    end;
  end;
end;

procedure TFrmOpViewSpvScoringLift.actCopyExecute(Sender: TObject);
begin
 if (self.pgctrlFond.ActivePageIndex = 0)
  then inherited
  else chart.CopyToClipboardBitmap();
end;

end.
