unit UDlgOpPrmSpvTreeRandomTree;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, StdCtrls, ComCtrls, ExtCtrls;

type
  TDlgOpPrmSpvTreeRandomTree = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    edSelAtt: TEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;    
  end;

var
  DlgOpPrmSpvTreeRandomTree: TDlgOpPrmSpvTreeRandomTree;

implementation

uses UCompSpvTreeRandomTree;

{$R *.dfm}

{ TDlgOpPrmSpvTreeRandomTree }

procedure TDlgOpPrmSpvTreeRandomTree.ApplyModifications;
var prm: TOpPrmSpvRndTree;
begin
 prm:= OpPrm as TOpPrmSpvRndTree;
 TRY
 prm.NbSelAtt:= StrToInt(self.edSelAtt.Text);
 EXCEPT
 prm.NbSelAtt:= -1;
 End;
end;

procedure TDlgOpPrmSpvTreeRandomTree.SetParameters;
var prm: TOpPrmSpvRndTree;
begin
 prm:= OpPrm as TOpPrmSpvRndTree;
 self.edSelAtt.Text:= IntToStr(prm.NbSelAtt);
end;

end.
