unit UDlgOpPrmSpvAssesBootstrap;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  LMDCustomControl, LMDCustomPanel, LMDCustomBevelPanel, LMDBaseEdit,
  LMDCustomEdit, LMDCustomBrowseEdit, LMDFileSaveEdit, lmdstdcA, Spin;

type
  TdlgOpPrmSpvAssesBootstrap = class(TDlgBaseOperatorParameter)
    Panel1: TPanel;
    Label1: TLabel;
    spinReplications: TLMDSpinEdit;
    GroupBox1: TGroupBox;
    chkSave: TCheckBox;
    edSave: TLMDFileSaveEdit;
    spinRepetition: TSpinEdit;
    Label2: TLabel;
    procedure chkSaveClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmSpvAssesBootstrap: TdlgOpPrmSpvAssesBootstrap;

implementation

uses UCompSpvAssesBootstrap;

{$R *.dfm}

{ TdlgOpPrmSpvAssesBootstrap }

procedure TdlgOpPrmSpvAssesBootstrap.ApplyModifications;
var prm: TOpPrmAssesBootstrap;
begin
 prm:= OpPrm as TOpPrmAssesBootstrap;
 prm.SaveResults:= self.chkSave.Checked;
 prm.FileNameResults:= self.edSave.Filename;
 //new - 1.4.20
 prm.NbReplications:= self.spinReplications.Value;
 prm.NbRepetitions:= self.spinRepetition.Value;
end;

procedure TdlgOpPrmSpvAssesBootstrap.SetParameters;
var prm: TOpPrmAssesBootstrap;
begin
 prm:= OpPrm as TOpPrmAssesBootstrap;
 self.spinReplications.Value:= prm.NbReplications;
 //new -- 1.4.20
 self.spinRepetition.Value:= prm.NbRepetitions;
 //copier/coller de CV
 self.chkSave.Checked:= prm.SaveResults;
 self.edSave.Filename:= prm.FileNameResults;
 self.chkSaveClick(NIL);
end;

procedure TdlgOpPrmSpvAssesBootstrap.chkSaveClick(Sender: TObject);
begin
 if self.chkSave.Checked
  then self.edSave.Enabled:= TRUE
  else self.edSave.Enabled:= FALSE;
end;

end.
