(************************************************************)
(* UExperiments.pas - Copyright (c) 2006 Ricco RAKOTOMALALA *)
(************************************************************)

{
@abstract(Unit pour sauver les rsultats d'exprimentations dans un fichier)
@author(Ricco)
@created(09/12/2006)

utilisation d'une directive de compilation pour inclure ou non le rsultat dans
un fichier configur au dmarrage de l'application
}

unit UExperiments;

interface
//crire sans passer  la ligne
procedure writeExpeResult(value: double);
//crire la "ligne entire" dans le fichier et passer  la ligne
procedure writelnExpeResult(value: double);

implementation

uses SysUtils;

var SLINE : string = '';

    NOM_FICHIER_RESULT : string = 'D:\DataMining\Databases_for_mining\from_cooperation_with_others\ZooProcessPlanctonIdentifier\Fichier_07_Nov_2006_New_Regroupements\dataset_for_abstract_14_dec_2007\results.txt';

procedure writeExpeResult(value: double);
begin
 {$IFDEF WRITE_EXPE_RESULTS}
 SLINE:= SLINE + floattostr(value) + ';';
 {$ENDIF}
end;

procedure writelnExpeResult(value: double);
begin
 {$IFDEF WRITE_EXPE_RESULTS}
 SLINE:= SLINE + floattostr(value);
 //
 AssignFile(FILE_EXPE,NOM_FICHIER_RESULT);
 Append(FILE_EXPE);
 writeln(FILE_EXPE,SLINE);
 flush(FILE_EXPE);
 CloseFile(FILE_EXPE);
 //
 SLINE:= '';
 {$ENDIF}
end;

initialization
 {$IFDEF WRITE_EXPE_RESULTS}
 if (FileExists(NOM_FICHIER_RESULT) = false)
  then
   begin
    //crer le fichier s'il n'existe pas...
    AssignFile(FILE_EXPE,NOM_FICHIER_RESULT);
    Rewrite(FILE_EXPE);
    CloseFile(FILE_EXPE);
   end;
 {$ENDIF}
end.
