unit UDlgOpPrmOrdinalAssociation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDOrdinalAssociation = class(TDlgBaseOperatorParameter)
    chkSort: TCheckBox;
    rgSortCriterion: TRadioGroup;
    chkDetails: TCheckBox;
    chkCrossInput: TCheckBox;
    procedure chkSortClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;     
  end;

var
  dlgOpPrmSDOrdinalAssociation: TdlgOpPrmSDOrdinalAssociation;

implementation

uses UCompSDOrdinalAssociation;

{$R *.dfm}

procedure TdlgOpPrmSDOrdinalAssociation.ApplyModifications;
var prm: TOpPrmSDOrdinalAssoc;
begin
 prm:= self.OpPrm as TOpPrmSDOrdinalAssoc;
 prm.SortResult:= self.chkSort.Checked;
 prm.SortCriteria:= self.rgSortCriterion.ItemIndex;
 prm.ShowDetails:= integer(self.chkDetails.Checked);
 prm.InputList:= integer(self.chkCrossInput.Checked);
end;

procedure TdlgOpPrmSDOrdinalAssociation.chkSortClick(Sender: TObject);
begin
 if (self.chkSort.Checked = true)
  then self.rgSortCriterion.Enabled:= true
  else self.rgSortCriterion.Enabled:= false;
end;

procedure TdlgOpPrmSDOrdinalAssociation.SetParameters;
var prm: TOpPrmSDOrdinalAssoc;
begin
 prm:= self.OpPrm as TOpPrmSDOrdinalAssoc;
 self.chkSort.Checked:= prm.SortResult;
 self.rgSortCriterion.ItemIndex:= prm.SortCriteria;
 self.chkDetails.Checked:= boolean(prm.ShowDetails);
 self.chkCrossInput.Checked:= boolean(prm.InputList);
 //mj de l'activation de l'onglet
 self.chkSortClick(nil);
end;

end.
