unit UDlgOpPrmODUnivariate;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmODUnivariate = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    edPValue: TEdit;
    Label2: TLabel;
    edMSigma: TEdit;
    chkShowOutliers: TCheckBox;
    chkUseFences: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;     
  end;

var
  dlgOpPrmODUnivariate: TdlgOpPrmODUnivariate;

implementation

uses UCompOutlierDetectUnivariate;

{$R *.dfm}

{ TdlgOpPrmODUnivariate }

procedure TdlgOpPrmODUnivariate.ApplyModifications;
var prm: TOpPrmODUnivariate;
begin
 prm:= OpPrm as TOpPrmODUnivariate;
 TRY
 prm.pValue:= StrToFloat(self.edPValue.Text);
 prm.mSigma:= StrToFloat(self.edMSigma.Text);
 prm.isShowDetectedExamples:= self.chkShowOutliers.Checked;
 prm.isUseFences:= self.chkUseFences.Checked;
 EXCEPT
 END;
end;

procedure TdlgOpPrmODUnivariate.SetParameters;
var prm: TOpPrmODUnivariate;
begin
 prm:= OpPrm as TOpPrmODUnivariate;
 self.edPValue.Text:= FloatToStr(prm.pValue);
 self.edMSigma.Text:= FloatToStr(prm.mSigma);
 self.chkShowOutliers.Checked:= prm.isShowDetectedExamples;
 self.chkUseFences.Checked:= prm.isUseFences;
end;

end.
