unit UDlgOpPrmRotateFactors;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TdlgOpPrmFactRotateFactors = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinFactors: TLMDSpinEdit;
    Label2: TLabel;
    cmbMethod: TComboBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    {Rcupration des modifs sur le paramtrage - surcharge obligatoire}
    procedure   ApplyModifications(); override;
    {Mettre  jour la bote de paramtrage par rapport  l'tat actuel des paramtres}
    procedure   SetParameters(); override;
  end;

var
  dlgOpPrmFactRotateFactors: TdlgOpPrmFactRotateFactors;

implementation

uses UCompFactRotateFactors, UCalcFactRotateFactors;

{$R *.dfm}

{ TdlgOpPrmFactRotateFactors }

procedure TdlgOpPrmFactRotateFactors.ApplyModifications;
var prm: TOpFactRotationParameter;
begin
 prm:= OpPrm as TOpFactRotationParameter;
 prm.NbFactors:= self.spinFactors.Value;
 prm.Rotation:= TEnumRotateFactors(self.cmbMethod.ItemIndex);
end;

procedure TdlgOpPrmFactRotateFactors.SetParameters;
var prm: TOpFactRotationParameter;
begin
 prm:= OpPrm as TOpFactRotationParameter;
 self.spinFactors.Value:= prm.NbFactors;
 self.cmbMethod.ItemIndex:= ord(prm.Rotation);
end;

end.
