(************************************************************************)
(* UDlgOprmMetaSpvCommittee.pas - Copyright (c) 2004 Ricco RAKOTOMALALA *)
(************************************************************************)

unit UDlgOprmMetaSpvCommittee;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, StdCtrls, CheckLst, ComCtrls,
  ExtCtrls, lmdstdcA;

type
  TDlgOpPrmSpvMetaCommittee = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinReplication: TLMDSpinEdit;
    cmbGenerator: TComboBox;
    Label2: TLabel;
  private
  public
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;
  end;

var
  DlgOpPrmSpvMetaCommittee: TDlgOpPrmSpvMetaCommittee;

implementation

uses UCompMetaSpvCommitte;

{$R *.dfm}

{ TDlgOpPrmSpvMetaCommittee }

procedure TDlgOpPrmSpvMetaCommittee.ApplyModifications;
var prm: TOpPrmMetaSpvCommitte;
begin
 prm:= OpPrm as TOpPrmMetaSpvCommitte;
 prm.NbInstances:= self.spinReplication.Value;
 prm.RndMode:= self.cmbGenerator.ItemIndex;
end;

procedure TDlgOpPrmSpvMetaCommittee.SetParameters;
var prm: TOpPrmMetaSpvCommitte;
begin
 prm:= OpPrm as TOpPrmMetaSpvCommitte;
 self.spinReplication.Value:= prm.NbInstances;
 self.cmbGenerator.ItemIndex:= prm.RndMode;
end;

end.
