unit UDlgOpPrmVarClusHCA;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmVarClusBase, StdCtrls, ComCtrls, ExtCtrls, lmdstdcA;

type
  TDlgOpPrmVarClusHCA = class(TDlgOpPrmVarClusBase)
    rgDefineCluster: TRadioGroup;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    spinNbClusters: TLMDSpinEdit;
    spinStarting: TLMDSpinEdit;
  private
    { Dclarations prives }
  public
   { Dclarations publiques }
   {rcuprer la liste de variables slectionnes}
   procedure   ApplyModifications(); override;
   {rcuprer pour affichage la liste des variables}
   procedure   SetParameters(); override;
  end;

var
  DlgOpPrmVarClusHCA: TDlgOpPrmVarClusHCA;

implementation

uses UCompVarClusHCA;

{$R *.dfm}

{ TDlgOpPrmVarClusHCA }

procedure TDlgOpPrmVarClusHCA.ApplyModifications;
var prm: TPrmOpVarClusHCA;
begin
 inherited;
 prm:= self.OpPrm as TPrmOpVarClusHCA;
 prm.ModeBestSelection:= self.rgDefineCluster.ItemIndex;
 prm.NbClusters:= self.spinNbClusters.Value;
 prm.StartingNbClusters:= self.spinStarting.Value;
end;

procedure TDlgOpPrmVarClusHCA.SetParameters;
var prm: TPrmOpVarClusHCA;
begin
 inherited;
 prm:= self.OpPrm as TPrmOpVarClusHCA;
 self.rgDefineCluster.ItemIndex:= prm.ModeBestSelection;
 self.spinNbClusters.Value:= prm.NbClusters;
 self.spinStarting.Value:= prm.StartingNbClusters;
end;

end.
